using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ChangePass : MonoBehaviour
{
    public ADokManager adok;
    public Text txtResult;

    public InputField newPass;
    public InputField oldPass;

    // Use this for initialization
    void Start()
    {
        adok.OnChangePass += Adok_OnChangePass;
    }

    // Update is called once per frame
    void Update()
    {

    }

    public void EditPassword()
    {
        adok.ChangePassword(oldPass.text, newPass.text,newPass.text);
    }

    private void Adok_OnChangePass(ADokManager.ChangePassResult changePassResult)
    {
        txtResult.text = "changePassResult: " + changePassResult.ToString();
    }


}
